Bug 6918 - Драйвер nvidia v. 7174 вешает машину при пробуждении от гибернации (swsusp2)
: Драйвер nvidia v. 7174 вешает машину при пробуждении от гибернации (swsusp2)
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/kernel-modules-nvidia-wks26-up)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-05-21 02:38 by
Modified: 2007-02-17 17:28 (History)


Attachments
С этим патчем работает 7676. (596 bytes, patch)
2005-09-08 15:58, Alex Yustasov
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-05-21 02:38:27
Если мы используем драйвер nvidia в xorg, усыпляем систему (swsusp2), а потом
пробуем пробудиться, то при попытке входа в графический режим X'ов система
виснет. При этом, в зависимости от предыдущего видеорежима, на экране могут
проявляться разнообразные артефакты (при vga=normal - текстовой мусор).
Использование драйвера nv устраняет проблему. Игры с параметрами EnableVbetool,
SwitchToTextMode, UseDummyXServer, WiggleConsole в hibernate.conf проблему не
решают.
Версия модуля с драйвером: kernel-modules-nvidia-wks26-up#1.0.7174-alt1.2
Возможные пути решения проблемы - применение патчика
(http://lists.suspend2.net/lurker/message/20050418.201645.6f94e51a.en.html)
Steps to Reproduce:
1. Берём систему, на которой нормально работает гибернейт с драйвером nv.
2. Переключаемся на использование драйвера nvidia.
3. Усыпляем машину.
4. пробуем проснуться.
Actual Results:  
Виснет.

Expected Results:  
Нормально пробуждается.
------- Comment #1 From 2005-05-23 09:50:36 -------
reassign to mantainer
------- Comment #2 From 2005-05-25 00:58:48 -------
Хотелось бы услышать мнение yust@ по-этому поводу.
------- Comment #3 From 2005-09-08 15:58:22 -------
Created an attachment (id=1099) [details]
С этим патчем работает 7676.

Прошу прощения за задержку, с этим патчем работает 7676. Порчи консолей не
замечено.
------- Comment #4 From 2005-09-08 16:39:56 -------
Прошу прощения. Ошибся я. Портятся консоли.
------- Comment #5 From 2007-02-17 11:41:18 -------
А с 9xxx?
------- Comment #6 From 2007-02-17 13:12:46 -------
C 9xxx у меня работает.
------- Comment #7 From 2007-02-17 17:28:04 -------
Ну и FIXED.